Bug 465446 - initscript prints errors when microcode support is compiled into kernel
initscript prints errors when microcode support is compiled into kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
: Triaged
: 504249 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 07:16 EDT by Adam Tkac
Modified: 2013-04-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:29:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2008-10-03 07:16:08 EDT
Description of problem:
I'm using custom compiled kernel and have microcode compiled into kernel, not as module. When I start/stop microcode_ctl service it prints errors

FATAL: Module microcode not found.
ERROR: Module microcode does not exist in /proc/modules

Version-Release number of selected component (if applicable):
# rpm -q microcode_ctl
microcode_ctl-1.17-1.46.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. compile microcode support into kernel (CONFIG_MICROCODE=y)
2. start/stop microcode_ctl service
3. watch errors
  
Actual results:
# service microcode_ctl restart
Applying Intel CPU microcode update: FATAL: Module microcode not found.
ERROR: Module microcode does not exist in /proc/modules    [  OK  ]

Expected results:
no errors

Additional info:
It seems that modprobe/rmmod calls should be conditionalized. Simple example is written below:

LOADED=0
if ! [ -e '/dev/cpu/microcode' ]; then
    modprobe microcode
    [ "$?" -eq 0 ] || exit 1
    LOADED=1
fi
...
[ "$LOADED" -eq 0 ] || modprobe -r microcode
Comment 1 Brennan Ashton 2008-11-04 00:30:41 EST
This bug has been triaged
Comment 2 Bug Zapper 2008-11-25 22:30:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:30:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Mads Kiilerich 2009-12-08 14:26:57 EST
*** Bug 504249 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-12-18 01:29:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.